Bug 998298 - [Project Version Language List View] Estimated work hours should stay the same by toggling between "By Message" and "By Words"
[Project Version Language List View] Estimated work hours should stay the sam...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Alex Eng
Zanata-QA Mailling List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 21:45 EDT by Ding-Yi Chen
Modified: 2014-02-13 20:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-13 20:00:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-08-18 21:45:23 EDT
Description of problem:
In Project Version Language View, toggling word/message statistics should not change the estimated work hours. However, currently the estimate work hours changed after toggling statistics mode.

Version-Release number of selected component (if applicable):
Zanata version 3.0.3-SNAPSHOT (20130819-0034)

How reproducible:
Always, easier to spot with untranslated or partially translated projects

Steps to Reproduce:
1. Go to a project which is untranslated or partially translated.
2. Click a version which is untranslated or partially translated.
3. Toggle the Statistics mode between "By Message" and "By Words"

Actual results:
Estimate work hours changed.

Expected results:
Estimate work hours should stay the same.

Additional info:
To be consistent, the label text "By Message" should be "By Messages".
Comment 1 Damian Jansen 2013-08-27 21:59:07 EDT
Verified at 162f2ab4a3a1dbda8fdc738591368c145a350543
Comment 2 Sean Flanigan 2013-11-26 22:32:32 EST
Closing VERIFIED bugs which predate Zanata 3.1.2.
Comment 3 Ding-Yi Chen 2014-02-13 03:29:12 EST
This bug is reappeared in Zanata 3.3.0-SNAPSHOT (20140213-0020).
Reopened.
Comment 4 Alex Eng 2014-02-13 16:27:45 EST
Issue can be seen in document level not in version level.
Comment 5 Alex Eng 2014-02-13 16:47:39 EST
Pull request:
https://github.com/zanata/zanata-server/pull/374
Comment 8 Ding-Yi Chen 2014-02-13 20:00:21 EST
As comment #4 suggest, this bug address the statistic shown on project version view (which shows language list).

The statistic shown on project version JSF document list view is address in Bug 1065120.

Bug Closed as this bug did not reappeared.

Note You need to log in before you can comment on or make changes to this bug.